Subject: [Norton AntiSpam] This stuff is not really expensive as before...

From: "Ethyl" <[email-masked]>
Date: Fri, 18 Feb 2005 16:20:05 +0000

Hello!

Viagra is the #1 med to struggle with mens' erectile dysfunction.
Like one jokes sais, it is strong enouqh for a man, but made for a woman ;-)

Orderinq Viagra online is a very convinient ,fast and secure way!
Millions of people do it daily to save their privacy and money

Order here...